## sctpscan 0.1

=== Makefile ===
all : sctpscan

sctpscan: sctpscan.c
#	cc -Wall -g sctpscan.c -o sctpscan -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -lglib-2.0 -lsctplib -DHAVE_SCTP_H
#	cc -Wall -g sctpscan.c -o sctpscan -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -lglib-2.0 -DHAVE_PCAP -lpcap
	cc -g sctpscan.c -o sctpscan -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -I/usr/include/glib-2.0/ -I/usr/lib/glib-2.0/include/ -lglib-2.0

E: sctpscan.c
	cc -E -Wall -g sctpscan.c -o sctpscan.i -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -lglib-2.0 -lsctplib -DHAVE_SCTP_H

pcap_sctp: pcap_sctp.c
	cc -Wall -g pcap_sctp.c -o pcap_sctp -lpcap

#fake-m3ua: fake-m3ua.c
#	cc -Wall -g fake-m3ua.c -o fake-m3ua -lpcap

clean:
	rm -f pcap_sctp sctpscan fake-m3ua

tgz:
	tar zcvf sctpscan.tar.gz sctpscan.c LICENSE README COPYING EXCEPTIONS Makefile

=== debian/changelog ===
sctpscan (0.1-1parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:09:40 +0200

sctpscan (0.1-1kali5) kali-dev; urgency=medium

  * d/watch: Add watch file pointing to git repo
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 19 Jan 2023 17:16:05 -0600

sctpscan (0.1-1kali4) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Steev Klimaszewski ]
  * Build the package on any architecture.
  * Add lintian overrides
  * Add missing ioctl header include.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 19 Jan 2023 16:46:11 -0600

sctpscan (0.1-1kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Refresh patches
  * Add remove stropts.h
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Jun 2021 11:55:30 +0200

sctpscan (0.1-1kali2) kali-dev; urgency=medium

  * Fixed usage examples (Closes: 0004176)

 -- Devon Kearns <dookie@kali.org>  Wed, 23 Aug 2017 12:21:52 -0600

sctpscan (0.1-1kali1) kali; urgency=low

  * Changed the control file arch to i386 amd64

 -- Devon Kearns <dookie@kali.org>  Sat, 09 Feb 2013 12:57:02 -0700

sctpscan (0.1-1kali) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Sat, 09 Feb 2013 12:16:45 -0700

=== debian/control ===
Source: sctpscan
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev
Standards-Version: 4.6.1
Homepage: https://github.com/philpraxis/sctpscan

Package: sctpscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SCTP network scanner for discovery and security
 SCTP network scanner for discovery and security

## sctpscan 0.1%2bgit20140205.1.4d44706

=== Makefile ===
all : sctpscan

sctpscan: sctpscan.c
#	cc -Wall -g sctpscan.c -o sctpscan -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -lglib-2.0 -lsctplib -DHAVE_SCTP_H
#	cc -Wall -g sctpscan.c -o sctpscan -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -lglib-2.0 -DHAVE_PCAP -lpcap
#	cc -g sctpscan.c -o sctpscan -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -I/usr/include/glib-2.0/ -I/usr/lib/glib-2.0/include/ -lglib-2.0
	cc -g sctpscan.c `pkg-config --cflags --libs glib-2.0`  -o sctpscan


E: sctpscan.c
	cc -E -Wall -g sctpscan.c -o sctpscan.i -L/sw/lib/ -I /sw/include/glib-2.0/ -I /sw/lib/glib-2.0/include/ -lglib-2.0 -lsctplib -DHAVE_SCTP_H

pcap_sctp: pcap_sctp.c
	cc -Wall -g pcap_sctp.c -o pcap_sctp -lpcap

#fake-m3ua: fake-m3ua.c
#	cc -Wall -g fake-m3ua.c -o fake-m3ua -lpcap

clean:
	rm -f pcap_sctp sctpscan fake-m3ua

tgz:
	tar zcvf sctpscan.tar.gz sctpscan.c LICENSE README COPYING Makefile

## sctpscan 0.1+git20140205.1.4d44706

=== debian/changelog ===
sctpscan (0.1+git20140205.1.4d44706-0kali1~jan+nus6) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 22 Jan 2023 03:09:50 -0000

=== debian/control ===
Source: sctpscan
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13), libglib2.0-dev
Standards-Version: 4.6.1
Homepage: https://github.com/philpraxis/sctpscan
Vcs-Git: https://gitlab.com/kalilinux/packages/sctpscan.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/sctpscan

Package: sctpscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SCTP network scanner for discovery and security
 SCTP network scanner for discovery and security

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	#cc -g sctpscan.c -o sctpscan -I /usr/include/glib-2.0/ -I /usr/lib/$(DEB_HOST_MULTIARCH)-linux-gnu/glib-2.0/include/ -lglib-2.0
	cc -g sctpscan.c -o sctpscan `pkg-config --cflags glib-2.0` `pkg-config --libs glib-2.0`

=== debian/watch ===
version=4
opts="mode=git, pretty=0.1~git%cd, pgpmode=none" \
  https://github.com/philpraxis/sctpscan HEAD
# Upstream doesn't tag their releases, so leave this in for when they do.
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sctpscan-$1\.tar\.gz/ \
#  https://github.com/philpraxis/sctpscan/tags .*/v?(\d\S*)\.tar\.gz
